use crate::config::Config;
use crate::result::AppResult;
use crate::tty_stuff::{choose_command, choose_pattern};

pub fn init_config() -> AppResult<()> {
    let pattern = choose_pattern(String::new())?;
    let command = choose_command(String::from("mpv --fullscreen \"{}\""))?
        .trim()
        .to_string();
    let config = Config::new(pattern, command)?;
    config.save()?;
    Ok(())
}
