#[macro_use]
extern crate serde_derive;
#[macro_use]
extern crate failure;
#[macro_use]
extern crate failure_derive;
#[macro_use]
extern crate lazy_static;

lazy_static! {
    pub static ref CONFIG_PATH: String = String::from(".awatch.json");
}

use structopt::StructOpt;

use crate::result::{AppError, AppResult};
use crate::run_modes::run;
use colored::{Color, Colorize};

pub mod config;
pub mod initialization;
pub mod result;
pub mod run_modes;
pub mod tty_stuff;
use std::str::FromStr;
use structopt::clap::Shell;

include!("cli.rs");

fn main() -> AppResult<()> {
    let opt: Opt = Opt::from_args();
    if let Err(error) = run(opt) {
        println!(
            "{dashes} {title} {dashes}",
            dashes = "#######".color(Color::BrightRed),
            title = "Error".color(Color::BrightRed)
        );
        println!("{}", error);
    }
    Ok(())
}
